import React, { lazy, useMemo, useState } from 'react';
import { StatisticsConversionController } from './StatisticsConversionController';
import { ViewType } from '../../types';
import { StatisticsBarLoader } from '../../shared/Statistic/presenters/StatisticBarLoader';
var useStatisticView = function (activeView) {
    return useMemo(function () {
        if (activeView === ViewType.graphView) {
            return lazy(function () {
                return import('./StatisticsBarController').then(function (module) { return ({
                    default: module.StatisticsBarController,
                }); });
            });
        }
        else {
            return StatisticsConversionController;
        }
    }, [activeView]);
};
export var StatisticConversionSwitcher = function () {
    var _a = useState(ViewType.overview), activeView = _a[0], setView = _a[1];
    var View = useStatisticView(activeView);
    return (React.createElement(React.Suspense, { fallback: React.createElement(StatisticsBarLoader, null) },
        React.createElement(View, { setView: setView })));
};
