import React from 'react';
import { StyledComponent, DefaultTheme } from 'styled-components';
import { HiroColors } from '../../../types';
export interface TableProps {
    striped?: boolean;
    celled?: boolean;
    sortable?: boolean;
}
export declare const Table: StyledComponent<'table', DefaultTheme, TableProps, never>;
export interface TableRowProps {
    color?: HiroColors;
    /** A list item can be dimmed to highlight a difference in state */
    dimmed?: boolean;
}
export declare const TableHeader: StyledComponent<"thead", DefaultTheme, {}, never>;
export interface TableHeaderCellProps {
    theme: DefaultTheme;
    children?: React.ReactNode;
    sorted?: 'ascending' | 'descending';
}
export declare const TableHeaderCell: StyledComponent<'th', DefaultTheme, TableHeaderCellProps, never>;
export declare const TableBody: StyledComponent<"tbody", DefaultTheme, {}, never>;
export declare const TableRow: StyledComponent<"tr", DefaultTheme, TableRowProps, never>;
export interface TableCellProps {
    maxWidth?: string;
}
export declare const TableCell: StyledComponent<"td", DefaultTheme, TableCellProps, never>;
